<router-outlet>
    <div class="container clearfix">
        <div class="chat">
            <chat-app-main></chat-app-main>
            <chat-app-tools></chat-app-tools>

            <div class="chat-history">
                <ul>
                    <li class="clearfix">
                        <img src="/assets/images/Ellipse.svg" alt="avatar" class="profile-img float-left mr-4 mt-2"/>
                        <div class="message my-message float-left">
                            How was your day going?
                        </div>
                    </li>

                    <li>
                        <div class="message other-message float-right">
                            That's an understatement.
                        </div>
                        <div class="message-details float-right">
                            <img src="/assets/images/Ellipse.svg" alt="avatar" width="20" class="profile-img"/> Today 13:30 <img src="/assets/images/check.svg" class="ml-1"/>
                        </div>
                    </li>

                    <li class="clearfix">
                        <img src="/assets/images/Ellipse.svg" alt="avatar" class="profile-img float-left mr-4 mt-5"/>
                        <div class="message my-message float-left">
                            You must feel stressed out now.
                        </div>
                    </li>

                    <li>
                        <div class="message other-message float-right">
                            Quite busy. I'm preparing for my presentation tomorrow on our marketing strategy. I'm not even half done yet.
                        </div>
                        <div class="message-details float-right">
                            Today 14:27 <img src="/assets/images/loader.svg" class="ml-1"/>
                        </div>
                    </li>

                    <li class="clearfix">
                        <img src="/assets/images/Ellipse.svg" alt="avatar" class="profile-img float-left mr-4 mt-5"/>
                        <div class="message my-message float-left">
                            Teszt
                        </div>
                    </li>

                    <li class="clearfix" *ngFor="let message of chatMessages">
                        <img src="{{ message.userImage }}" alt="avatar" class="profile-img float-left mr-4 mt-1"/>
                        <div class="message my-message float-left">
                            {{ message.message }}
                        </div>
                    </li>
                </ul>

            </div> <!-- end chat-history -->

            <div class="chat-message clearfix">
                <form (ngSubmit)="sendMessage()">
                    <div class="row">
                        <div class="col-1">
                            <div class="message-interaction-box">
                                <img src="/assets/images/smiley.svg" alt="smiley"/>
                            </div>
                            <div class="message-interaction-box">
                                <img src="/assets/images/file.svg" alt="file"/>
                            </div>
                            <div class="message-interaction-box last-box">
                                <img src="/assets/images/another-profile.svg" alt="another-profile" class="profile-img"/>
                            </div>
                        </div>
                        <div class="col-11">
                            <textarea name="message-to-send" id="message-to-send" placeholder="Write your message..."
                                      rows="3" [(ngModel)]="newMessage"></textarea>

                            <button type="submit" class="send-button">
                                <img src="/assets/images/send-icon.svg"/>
                            </button>
                        </div>
                    </div>
                </form>
            </div> <!-- end chat-message -->

        </div> <!-- end chat -->

    </div>
</router-outlet>
